Loading...
Searching...
No Matches
stdthread.hh File Reference

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace

## Macros

#define | DUNE_ASSERT_CALL_ONCE()
| Make sure call_once() works and provide a helpful error message otherwise.

## Functions

void | Dune::doAssertCallOnce (const char *file, int line, const char *function)
void | Dune::assertCallOnce (const char *file=nullptr, int line=-1, const char *function=nullptr)
| Make sure call_once() works and provide a helpful error message otherwise.

## Macro Definition Documentation

## DUNE_ASSERT_CALL_ONCE

#define DUNE_ASSERT_CALL_ONCE | ( |  | ) |

Value:
::Dune::assertCallOnce(__FILE__, __LINE__, __func__)
Dune::assertCallOnce
void assertCallOnce(const char *file=nullptr, int line=-1, const char *function=nullptr)
Make sure call_once() works and provide a helpful error message otherwise.
Definition stdthread.hh:35

Make sure call_once() works and provide a helpful error message otherwise.

This calls assertCallOnce() and automatically provides information about the caller in the error message.